// BWCurveCanvas.h -- an interactive View that shows a bezier path and movable
//		      control points

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <cocoa/cocoa.h>

@interface BWCurveCanvas : NSView
{
    IBOutlet	id		 delegate;
    		int		 draggedPoint;
    		NSPoint		*points;
    		float		 flatness;
    		float		 fill;
}

- (void) pinPoints;

@end // BWCurveCanvas


@interface NSObject(BWCurveCanvasDelegate)

- (void) allPointsInFrame;
- (void) pointOutOfFrame;
- (void) setFlatness: (float) flatness;
- (void) setFill: (int) windingRule;
- (void) resetPoints;

@end

