// BWDashController.h -- mediate between a gaggle of sliders and the
//			 view that shows line dashes

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>


@class LineWindowController;

@interface BWDashController : NSObject 
{
    IBOutlet	LineWindowController	*owner;
    IBOutlet	NSSlider		*dash0slider;
    IBOutlet	NSSlider		*space0slider;
    IBOutlet	NSSlider		*dash1slider;
    IBOutlet	NSSlider		*space1slider;
    IBOutlet	NSSlider		*dash2slider;
    IBOutlet	NSSlider		*space2slider;

    		float			*pattern;
}

// bottleneck for all the sliders
- (IBAction) valueChanged: (id) sender;

// the number of items in the pattern (used by the LineWindowController)
- (int) count;

// the line pattern.  (used by the LineWindowController)
- (const float *) pattern;

@end // BWDashController
