// BWImageWindowController.h -- mediate between the window gadgets and the
//			        image canvas that applies transforms to an
//			        image

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license


#import <Cocoa/Cocoa.h>

@class BWImageCanvas;

@interface BWImageWindowController : NSWindowController
{
    IBOutlet	BWImageCanvas	*imageCanvas;
    IBOutlet	NSSlider	*scaleXSlider;
    IBOutlet	NSSlider	*scaleYSlider;
    IBOutlet	NSSlider	*translateXSlider;
    IBOutlet	NSSlider	*translateYSlider;
    IBOutlet	NSSlider	*rotateSlider;
    IBOutlet	NSMatrix	*matrixMatrix;

    float defaultScaleX;
    float defaultScaleY;
    float defaultTranslateX;
    float defaultTranslateY;
    float defaultRotation;
}

- (IBAction) setScaleX: (id) sender;
- (IBAction) setScaleY: (id) sender;
- (IBAction) setTranslateX: (id) sender;
- (IBAction) setTranslateY: (id) sender;
- (IBAction) setRotate: (id) sender;
- (IBAction) reset: (id) sender;

@end // BWImageWindowController
