// GrafDemo.m -- Drive the central 'menu' window

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import "GrafDemo.h"

#import "LineWindowController.h"
#import "BWCurveWindowController.h"
#import "BWImageWindowController.h"
#import "BWQuartzWindowController.h"

@implementation GrafDemo

// for each demo window, make a singleton controller

- (IBAction) showLinesWindow: (id) sender
{
    if (lineWindowController == NULL) {
	lineWindowController = [[LineWindowController alloc] initWithWindowNibName: @"LineWindow"];
	[lineWindowController loadWindow];
    }

    [lineWindowController showWindow: self];

} // showLinesWindow



- (IBAction) showCurveWindow: (id) sender
{
    if (curveWindowController == NULL) {
	curveWindowController = [[BWCurveWindowController alloc] initWithWindowNibName: @"CurveWindow"];
	[curveWindowController loadWindow];
    }

    [curveWindowController showWindow: self];

} // showCurveWindow



- (IBAction) showImageWindow: (id) sender
{
    if (imageWindowController == NULL) {
	imageWindowController = [[BWImageWindowController alloc] initWithWindowNibName: @"ImageWindow"];
	[imageWindowController loadWindow];
    }

    [imageWindowController showWindow: self];

} // showImageWindow



- (IBAction) showQuartzWindow: (id) sender
{
    if (quartzWindowController == NULL) {
	quartzWindowController = [[BWQuartzWindowController alloc] initWithWindowNibName: @"QuartzWindow"];
	[quartzWindowController loadWindow];
    }

    [quartzWindowController showWindow: self];

} // showQuartzWindow


@end
